LOGGER(1)

NOM
logger - Ajouter des messages au journal système

SYNOPSIS
logger [options] [message]

DESCRIPTION
logger ajoute des entrées dans le journal système.

Quand l’argument facultatif message est présent, il est écrit dans le journal. Sinon, et si l’option -f n'est pas donnée non plus, l'entrée standard sera enregistrée.

OPTIONS

-d, --udp
    N’utiliser que les datagrammes (UDP). Par défaut la connexion est tentée sur le port de syslog défini dans /etc/services, qui est généralement 514.

-e, --skip-empty
    Lors du traitement des fichiers, les lignes vides seront ignorées. Une ligne vide est définie comme une ligne sans caractère. Ainsi, une ligne ne contenant que des espaces n’est pas considérée vide. Remarquez que si l’option --prio-prefix est indiquée, la priorité ne fait pas partie de la ligne. Ainsi, une ligne vide dans ce mode est une ligne qui n’a pas de caractère après la priorité (par exemple, « <13> »).

-f, --file fichier
    Enregistrer le contenu du fichier indiqué. Cette option ne peut pas être associée à un message de ligne de commande.

-i  Enregistrer le PID du processus logger sur chaque ligne.

--id[=id]
    Enregistrer le PID du processus logger sur chaque ligne. Quand l’argument facultatif id est indiqué, il est utilisé à la place du PID de la commande logger. L’utilisation de --id=$$ (PPID) est recommandée dans les scripts qui envoient plusieurs messages.

--journald[=fichier]
    Écrire une entrée de journal systemd. L’entrée est lue du fichier donné s’il est indiqué ou de l’entrée standard sinon. Chaque ligne doit commencer par un champ accepté par journald, consultez systemd.journal-fields(7) pour plus de précisons. L’utilisation du champ MESSAGE_ID est généralement une bonne idée car cela facilite la recherche d’entrées. Exemples :

        printf "%s\n%s\n%s\n" MESSAGE_ID=42 CHIENS=aboient \
                              "CARAVANE=passe" | logger --journald
        logger --journald=entry.txt

    Remarquez que --journald ignorera les valeurs des autres options, comme la priorité. Si la priorité est nécessaire, elle doit être dans l’entrée et utiliser le champ PRIORITY. La simple exécution de journalctl affichera le champ MESSAGE. Utilisez journalctl --output json-pretty pour voir le reste des champs.

--msgid MSGID
    Définir le champ MSGID de la RFC 5424. Remarquez que le caractère espace n’est pas permis à l’intérieur de MSGID. Cette option n’est utilisée que si --rfc5424 est indiquée aussi. Sinon, elle est ignorée silencieusement.

--no-act
    Forcer chaque chose à être faite à part l’écriture du message dans le journal système et la fermeture de la connexion ou du journal. Cette option est utilisable avec --stderr pour faire des tests.

--size taille
    Définir la taille maximale permise par message. La valeur par défaut est de 1 kio en caractères, qui est la limite traditionnelle telle qu’indiquée dans la RFC 3164. Avec la RFC 5424, cette limite est devenue flexible. En général, les destinataires RFC 5424 peuvent au moins traiter des messages de 4 kio.

    La plupart des destinataires acceptent des messages plus grands que 1 kio sur tous les types de protocole de journal système. Ainsi, l’option --size affecte logger dans tous les cas (pas seulement quand --rfc5424 est utilisée).

    Remarque : la taille maximale de message limite la taille totale du message, y compris l’en-tête de journal système. Les tailles d’en-tête varient en fonction des options sélectionnées et de la taille du nom d’hôte. En règle générale, les en-têtes ne dépassent pas 50 ou 80 caractères. Lors de la sélection de la taille maximale du message, s’assurer que le destinataire puisse recevoir des messages de cette taille est important, sinon les messages pourraient être tronqués. Encore, en règle générale, des messages de deux à quatre kilooctets devraient normalement passer, alors que tout ce qui dépasse devrait être vérifié.

-n, --server serveur
    Écrire sur le serveur syslog distant indiqué au lieu de la socket du journal système. À moins que --udp ou --tcp ne soient indiquées, logger essayera d’abord d’utiliser UDP, mais si cela échoue, une connexion TCP sera tentée.

-P, --port port
    Utiliser le port indiqué. Quand cette option n’est pas indiquée, le port par défaut de syslog est utilisé pour les connexions UDP et celui de syslog-conn pour les connexions TCP.

-p, --priority priorité
    Enregistrer le message dans le journal avec la priorité indiquée. La priorité peut être donnée numériquement ou bien avec un couple service.niveau. Par exemple, -p local3.info enregistre le message comme informationnel dans le service local3. La valeur par défaut est user.notice.

--prio-prefix
    Chercher un préfixe syslog sur toutes les lignes lues sur l’entrée standard. Ce préfixe est un nombre décimal entre chevrons qui encode à la fois le service et le niveau. Le nombre est construit en multipliant le service par 8 et en ajoutant le niveau. Par exemple, local0.info, signifiant de service 16 et de niveau 6, devient <134>.

    Si le préfixe ne contient pas de service, le service par défaut est celui indiqué par l’option -p. De même, si aucun préfixe n’est fourni, la ligne est journalisée en utilisant la priorité donnée avec -p.

    Cette option n’affecte pas un message de ligne de commande.

--rfc3164
    Utiliser le protocole syslog BSD RFC 3164 pour soumettre des messages à un serveur distant.

--rfc5424[=sans]
    Utiliser le protocole syslog RFC 5424 pour soumettre des messages à un serveur distant. L’argument facultatif sans peut être une liste séparée par des virgules des valeurs suivantes : notq, notime et nohost. La valeur notq supprime les données structurées de qualité de temps du message soumis (les informations de qualité de temps montrent si l’horloge locale était synchronisée, et le nombre maximal de microsecondes de décalage possible de l’horodatage). La valeur notime (qui implique notq) supprime tout l’horodatage de l’expéditeur au format ISO 8601, y compris les microsecondes et le fuseau horaire. La valeur nohost supprime les informations de gethostname(2) de l’en-tête du message.

    Le protocole RFC 5424 est utilisé par défaut par logger depuis la version 2.26.

-s, --stderr
    Afficher le message sur la sortie d'erreur standard en plus de l'enregistrer dans le journal système.

-T, --tcp
    N’utiliser que les flux (TCP). Par défaut la connexion est tentée sur le port de syslog-conn défini dans /etc/services, qui est généralement 601.

-t, --tag étiquette
    Marquer chaque ligne à journaliser avec l’étiquette indiquée.

-u, --socket socket
    Écrire dans la socket indiquée au lieu d'utiliser la socket du journal système.

--socket-errors[=mode]
    Afficher les erreurs sur les connexions de socket UNIX. Le mode peut prendre la valeur off, on ou auto. En mode auto, logger détectera si le processus d’initialisation est systemd, et si cette hypothèse est exacte, /dev/log peut être utilisé tôt au démarrage. L’absence de /dev/log des autres systèmes d’initialisation ne provoquera pas d’erreur, ce qui est identique à l’envoi de messages en utilisant l’appel système openlog(3). logger(1) avant la version 2.26 utilisait openlog, et était donc incapable de détecter la perte de messages envoyés aux sockets UNIX.

    Le mode par défaut est auto. Quand les erreurs ne sont pas activées, les messages perdus ne sont pas communiqués avec pour conséquence une valeur de retour indiquant la réussite de l’appel de logger(1).

--  Terminer la liste des arguments. Cela permet au message de commencer avec un tiret (« - »).

-V, --version
    Afficher les informations sur la version et quitter.

-h, --help
    Afficher un texte d'aide puis quitter.

VALEUR DE RETOUR
Le code de retour est 0 quand logger réussit et strictement supérieur à 0 en cas d'erreur.

SERVICES ET NIVEAU
Les noms de service possibles sont :

    auth
    authpriv | pour les informations de sécurité de nature sensible
    cron
    daemon
    ftp
    kern | ne peut pas être créé depuis un processus utilisateur
    lpr
    mail
    news
    syslog
    user
    uucp
    local0
    à |
    local7
    security | synonyme obsolète d’auth

Les noms de niveau possibles sont :

    emerg
    alert
    crit
    err
    warning
    notice
    info
    debug
    panic | synonyme obsolète d’emerg
    error | synonyme obsolète d’err
    warn | synonyme obsolète de warning

Pour l'ordre des priorités et les buts supposés de ces services et niveaux, consultez syslog(3).

EXEMPLES
logger Système redémarré
logger -p local0.notice -t HOSTIDM -f /dev/idmc
logger -n hôtejournal.example.com Système redémarré

VOIR AUSSI
journalctl(1), syslog(3), systemd.journal-fields(7)

NORMES
La commande logger est prévue pour être compatible avec IEEE Std 1003.2 (« POSIX.2 »).

DISPONIBILITÉ
La commande logger fait partie du paquet util-linux, elle est disponible sur l’archive du noyau Linux (ftp://ftp.kernel.org/pub/linux/utils/util-linux/).

TRADUCTION
Cette page de manuel a été traduite et est maintenue par Nicolas Haller <nicolas AT boiteameuh DOT org> et les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.